Bug 989044 - gssproxy-0.2.3-6.fc19.x86_64 & kernel-3.10.3-300.fc19.x86_64: BUG: unable to handle kernel NULL pointer dereference at 0000000000000009
gssproxy-0.2.3-6.fc19.x86_64 & kernel-3.10.3-300.fc19.x86_64: BUG: unable to ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 994249
  Show dependency treegraph
 
Reported: 2013-07-27 00:49 EDT by Anthony Messina
Modified: 2013-08-15 05:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 994249 (view as bug list)
Environment:
Last Closed: 2013-08-15 05:59:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Oops (6.88 KB, text/plain)
2013-07-27 00:49 EDT, Anthony Messina
no flags Details
TAKE_2 Oops (6.94 KB, text/plain)
2013-07-27 01:20 EDT, Anthony Messina
no flags Details
fix gss-proxy bugs (1.74 KB, patch)
2013-07-31 18:05 EDT, J. Bruce Fields
no flags Details | Diff

  None (edit)
Description Anthony Messina 2013-07-27 00:49:19 EDT
Created attachment 778966 [details]
Oops

gssproxy-0.2.3-6.fc19.x86_64 causes a kernel Oops with kernel-3.10.3-300.fc19.x86_64.  This doesn't happen with the previous kernel-3.9.9-302.fc19.x86_64.

It appears that recent upstream changes in gssproxy might resolve this issue:
https://git.fedorahosted.org/cgit/gss-proxy.git/commit/?id=f66a585e042fbb2f313c1cbde329088fac86cea6

Would it be possible to release an updated gssproxy to test?

I've attached a trace.
Comment 1 Anthony Messina 2013-07-27 01:19:40 EDT
Nevermind pushing out a quick update, I've built one myself that updates gssproxy with all the changes in the master branch.

I still get the Oops when clients try to mount.  I've attached the TAKE_2 trace.
Comment 2 Anthony Messina 2013-07-27 01:20:48 EDT
Created attachment 778967 [details]
TAKE_2 Oops
Comment 3 Simo Sorce 2013-07-27 11:49:55 EDT
We haven't changed anything in the gssproxy protocol, witness the fact it works with an earlier kernel.
So I suspect breakage in newer kernels.

Bruce can you investigate please?
Comment 4 Dmitri A. Sergatskov 2013-07-27 16:00:11 EDT
FWIW -- I cannot boot 3.10.3-300 at all (i7-2600K / dz68bc m.b.). 
Kernel panic/No logs saved, but I probably can take picture of the screen 
if this is of any interest. 

Dmitri.
--
Comment 5 J. Bruce Fields 2013-07-30 22:48:20 EDT
Thanks I can reproduce this (or something similar) now, so should have a fix soon.
Comment 6 Anthony Messina 2013-07-31 09:32:46 EDT
(In reply to J. Bruce Fields from comment #5)
> Thanks I can reproduce this (or something similar) now, so should have a fix
> soon.

Thanks, Bruce.  Where should I be looking for the fix?  I'd be willing to test out a Koji scratch build if that would help you confirm.
Comment 7 J. Bruce Fields 2013-07-31 18:05:34 EDT
Created attachment 781378 [details]
fix gss-proxy bugs

Apologies, this was completely my mistake: there were two bugs found during the Fedora backport that I somehow forgot to get upstream.

Also I found two more bugs in the upstream.

A combined diff that should be sufficient for Fedora is attached.

Tomorrow I'll do a more careful check of what needs to go upstream and what to Fedora.
Comment 8 Anthony Messina 2013-08-02 07:21:07 EDT
Bruce, I see you posted "gss-proxy fixes for 3.11" to the linux-nfs list.  The patches seem to relate to this issue.  Will the Fedora 3.10 kernels get a backport of these patches?  3.11 seems a long way off.
Comment 9 J. Bruce Fields 2013-08-02 11:26:41 EDT
(In reply to Anthony Messina from comment #8)
> Bruce, I see you posted "gss-proxy fixes for 3.11" to the linux-nfs list. 
> The patches seem to relate to this issue.  Will the Fedora 3.10 kernels get
> a backport of these patches?  3.11 seems a long way off.

The first three are marked for stable, which means as soon as Linus pulls them those three should get pulled for 3.10.x--no need to wait for the 3.11 release.

If we need the fix sooner, those three patches could also be backported to Fedora now.
Comment 10 J. Bruce Fields 2013-08-02 17:42:28 EDT
My attempt at a Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5694191
Comment 11 Anthony Messina 2013-08-03 09:53:20 EDT
(In reply to J. Bruce Fields from comment #10)
> My attempt at a Koji scratch build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=5694191

Your scratch build does resolve the issue reported here. Thanks.  I'd love to see the patches backported to Fedora's 3.10.x series.
Comment 14 Simo Sorce 2013-08-07 12:03:06 EDT
Reassigning to the kernel component where it belongs.

Can we get a kernel maintainer to include this patches for the next Fedora kernel build ?
Comment 16 Anthony Messina 2013-08-12 13:17:53 EDT
Is there a chance to get this fix backported to the 3.10.6 Fedora kernels being worked on today?
Comment 17 Anthony Messina 2013-08-12 14:43:29 EDT
(In reply to Anthony Messina from comment #16)
> Is there a chance to get this fix backported to the 3.10.6 Fedora kernels
> being worked on today?

Duh! Nevermind.  I see it should be included from upstream (https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.6).  Thanks Bruce.
Comment 18 Anthony Messina 2013-08-15 05:59:23 EDT
This issue is resolved with 3.10.6-200.fc19.x86_64.  Thanks to all of you.

Note You need to log in before you can comment on or make changes to this bug.